## libio-lockedfile-perl 0.23+d030220

=== debian/changelog ===
libio-lockedfile-perl (0.23+d030220-5) unstable; urgency=medium

  [ gregor herrmann ]
  * debian/watch: use uscan version 4.
  * Declare compliance with Debian Policy 4.5.0.
  * Set Rules-Requires-Root: no.
  * Bump debhelper-compat to 13.
  * Wrap long lines in changelog entries: 0.23-1.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata.
  * Fix day-of-week for changelog entry 0.23-2.
  * Remove check for DEB_BUILD_OPTIONS=nocheck from debian/rules.
    debhelper 13 does this for us.

  [ Debian Janitor ]
  * Update standards version to 4.6.1, no changes needed.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 19 Nov 2022 21:41:13 +0000

libio-lockedfile-perl (0.23+d030220-4) unstable; urgency=medium

  * Take over for the Debian Perl Group, as agreed with Bart
    - Closes: #918487
  * d/changelog:
    - remove trailing whitespace
  * d/compat:
    - bump debhelper compatibility level to 11
  * d/control:
    - declare compliance with Debian Policy 4.3.0
    - bump debhelper compatibility level to 11
    - refresh (build-)dependencies
    - add Vcs-Git and Vcs-Browser fields
    - update Homepage field to metacpan URL
    - add autopkgtest support
    - refresh short/long package descriptions
  * d/copyright:
    - replace with copyright details in 1.0 format
  * d/docs:
    - drop README
  * d/patches:
    - refresh manpage-has-bad-whatis-entry
    - add add-shebang-to-test-pl
    - add fix-undef-dep-versions-in-makefile
  * d/rules:
    - remove trailing whitespace
    - add dh_auto_test override for test.pl
  * d/tests:
    - add use-name for autopkgtests
  * d/u/metadata:
    - add upstream metadata
  * d/watch:
    - migrate to track metacpan releases

 -- Nick Morrott <knowledgejunkie@gmail.com>  Sat, 23 Feb 2019 02:12:08 +0000

libio-lockedfile-perl (0.23+d030220-3) unstable; urgency=low

  * Switch to dpkg-source 3.0 (quilt) format, debhelper 9, no cdbs.
  * debian/control: Fixed debhelper-but-no-misc-depends.
  * debian/watch: Updated.

 -- Bart Martens <bartm@debian.org>  Sat, 19 May 2012 06:29:14 +0000

libio-lockedfile-perl (0.23+d030220-2) unstable; urgency=low

  * debian/control: Standards-Version, Homepage.
  * debian/patches/01_whatis.diff: Fixes manpage-has-bad-whatis-entry.
  * debian/watch: Updated to use www.cpan.org/modules/by-module.

 -- Bart Martens <bartm@debian.org>  Sat, 19 Jul 2008 22:48:52 +0200

libio-lockedfile-perl (0.23+d030220-1) unstable; urgency=low

  * New maintainer.  Closes: #398118.
  * Acknowledge NMU.  Closes: #359445.
  * Upstream changed IO-LockedFile-0.23.tar.gz on 20 Feb 2003.
  * debian/*: Repackaged with cdbs.
  * debian/control: Longer description.  Closes: #209558.
  * debian/copyright: Updated.
  * debian/watch: Added.

 -- Bart Martens <bartm@knars.be>  Sun, 12 Nov 2006 15:06:38 +0100

libio-lockedfile-perl (0.23-2.1) unstable; urgency=low

  * Non-Maintainer Upload
  * Rebuild to remove /usr/doc links, closes: #359445
  * Added missing build-dependency on perl.
  * Fixed problem with binary-indep files going into /usr/lib/

 -- Stephen Quinney <sjq@debian.org>  Mon,  5 Jun 2006 14:57:04 +0100

libio-lockedfile-perl (0.23-2) unstable; urgency=low

  * Fixed section

 -- Ross Peachey <rcp@debian.org>  Sat, 29 Mar 2003 21:00:59 +1000

libio-lockedfile-perl (0.23-1) unstable; urgency=low

  * Updated to latest upstream version and added build-depends
    (closes: Bug#140560)

 -- Ross Peachey <rcp@debian.org>  Wed,  1 Jan 2003 21:20:59 +1100

libio-lockedfile-perl (0.22-1) unstable; urgency=low

  * Updated to latest upstream version (closes: Bug#174183)

 -- Ross Peachey <rcp@debian.org>  Wed,  1 Jan 2003 21:20:59 +1100

libio-lockedfile-perl (0.1-1) unstable; urgency=low

  * Initial Debian release.

 -- Ross Peachey <rcp@debian.org>  Mon, 9 Apr 2001 15:24:49 +1100
