=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_test:
	prove -v -f -p --exec="env DH_VERBOSE=1 dh_auto_test" test.pl
