=== debian/watch ===
version=4
opts="dversionmangle=s/\+d030220$//" \
https://metacpan.org/release/IO-LockedFile   .*/IO-LockedFile-v?@ANY_VERSION@@ARCHIVE_EXT@$
